Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ConfigurationCategoryDescriptor

    java.lang.Object
      oracle.ifs.common.ConfigurationCategoryDescriptor

    public class ConfigurationCategoryDescriptor

extends java.lang.Object

A ConfigurationCategoryDescriptor describes a ConfigurationCategory class in support of efficient ConfigurationCategory determination.

(Published)

Constructor Summary
`ConfigurationCategoryDescriptor(java.lang.String className, ClassObject classObject, long existsFlag)` Constructs a ConfigurationCategoryDescriptor.

Method Summary
`java.lang.String` | `getClassName()` Gets the name of the ConfigurationCategory class.
`ClassObject` | `getClassObject()` Gets the ConfigurationCategory ClassObject.
`long` | `getConfigurationExistsFlag()` Gets the PublicObject flag bitmask that is used to indicate the existance of a configuration category of this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationCategoryDescriptor

    public ConfigurationCategoryDescriptor(java.lang.String className,
                                           ClassObject classObject,
                                           long existsFlag)

  Constructs a ConfigurationCategoryDescriptor.

  Parameters:
    `className` - the configuration category class name
    `classObject` - the configuration category class
    `existsFlag` - the flags bit reprsenting the existence of a configuration category of this type on the associated PublicObject
  (Published)

Method Detail

### getClassName

    public java.lang.String getClassName()

  Description copied from class: `ConfigurationCategoryDescriptor`
  Gets the name of the ConfigurationCategory class.

  Returns:
    the name of the ConfigurationCategory class
  (Published)

### getClassObject

    public ClassObject getClassObject()

  Description copied from class: `ConfigurationCategoryDescriptor`
  Gets the ConfigurationCategory ClassObject.

  Returns:
    the ConfigurationCategory ClassObject
  (Published)

### getConfigurationExistsFlag

    public long getConfigurationExistsFlag()

  Description copied from class: `ConfigurationCategoryDescriptor`
  Gets the PublicObject flag bitmask that is used to indicate the existance of a configuration category of this type.

  Returns:
    the PublicObject flag bitmask
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD